Bug 1290450 - Review Request: exonerate - A generic tool for sequence alignment
Review Request: exonerate - A generic tool for sequence alignment
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 09:37 EST by Antonio Trande
Modified: 2017-02-06 23:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 17:04:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2015-12-10 09:37:41 EST
Spec URL: https://sagitter.fedorapeople.org/exonerate/exonerate.spec
SRPM URL: https://sagitter.fedorapeople.org/exonerate/exonerate-2.2.0-1.fc23.src.rpm

Description: 
Exonerate is a generic tool for pairwise sequence comparison.
It allows you to align sequences using a many alignment models,
either exhaustive dynamic programming or a variety of heuristics.

Fedora Account System Username: sagitter

Package for Fedora, EPEL6, EPEL7.
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-12 17:20:51 EST
--enable-gcov → Why build with coverage? This seems only useful for development.

Likewise --enable-asserts: all binaries emit the following warning:
** (process:8647): WARNING **: Compiled with assertion checking - will run slowly
Maybe the slowdown is not too big, in which case it might be worth to leave this
on, at least initially.

make install DESTDIR=... → %make_install (for brevity)

- license is OK
- license file is present, %license is used
- latest version
- proper build flags are used
- builds and installs OK
- fedora-review doesn't find any issues
- no scriptlets
- requires/provides are OK
- check is present and passes

rpmlint:
exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/fastautils.1.gz 59: warning: macro `..' not defined
exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/fastautils.1.gz 78: warning: macro `L' not defined
exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/exonerate.1.gz 36: warning: macro `T' not defined
exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/exonerate.1.gz 49: warning: macro `SP' not defined
exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/exonerate.1.gz 1342: warning: macro `L' not defined
exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/exonerate-server.1.gz 22: warning: macro `T' not defined
exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/exonerate-server.1.gz 373: warning: macro `SP' not defined
exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/exonerate-server.1.gz 449: warning: macro `L' not defined
exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/ipcress.1.gz 38: warning: macro `T' not defined
exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/ipcress.1.gz 71: warning: macro `SP' not defined
exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/ipcress.1.gz 261: warning: macro `L' not defined
They mostly display OK, I'm not sure what those warnings mean exactly.

exonerate.x86_64: E: zero-length /usr/share/doc/exonerate/NEWS
No need to package that then.

exonerate.x86_64: W: no-manual-page-for-binary fastatranslate
exonerate.x86_64: W: no-manual-page-for-binary fastacomposition
exonerate.x86_64: W: no-manual-page-for-binary fastanrdb
exonerate.x86_64: W: no-manual-page-for-binary fastaexplode
exonerate.x86_64: W: no-manual-page-for-binary fasta2esd
exonerate.x86_64: W: no-manual-page-for-binary fastadiff
exonerate.x86_64: W: no-manual-page-for-binary fastaclean
exonerate.x86_64: W: no-manual-page-for-binary fastareformat
exonerate.x86_64: W: no-manual-page-for-binary fastasort
exonerate.x86_64: W: no-manual-page-for-binary fastaindex
exonerate.x86_64: W: no-manual-page-for-binary fastaoverlap
exonerate.x86_64: W: no-manual-page-for-binary fastavalidcds
exonerate.x86_64: W: no-manual-page-for-binary fastasplit
exonerate.x86_64: W: no-manual-page-for-binary fastasoftmask
exonerate.x86_64: W: no-manual-page-for-binary fastasubseq
exonerate.x86_64: W: no-manual-page-for-binary fastaannotatecdna
exonerate.x86_64: W: no-manual-page-for-binary esd2esi
exonerate.x86_64: W: no-manual-page-for-binary fastahardmask
exonerate.x86_64: W: no-manual-page-for-binary fastachecksum
exonerate.x86_64: W: no-manual-page-for-binary fastaclip
exonerate.x86_64: W: no-manual-page-for-binary fastafetch
exonerate.x86_64: W: no-manual-page-for-binary fastalength
exonerate.x86_64: W: no-manual-page-for-binary fastarevcomp
exonerate.x86_64: W: no-manual-page-for-binary fastaremove
3 packages and 0 specfiles checked; 1 errors, 35 warnings.

Too bad ;)

Looks good, except for a few trivial issues. Package is APPROVED.
Comment 2 Antonio Trande 2015-12-12 18:31:32 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> --enable-gcov → Why build with coverage? This seems only useful for
> development.
> 
> Likewise --enable-asserts: all binaries emit the following warning:
> ** (process:8647): WARNING **: Compiled with assertion checking - will run
> slowly
> Maybe the slowdown is not too big, in which case it might be worth to leave
> this
> on, at least initially.

Honestly, I ignored what they served.
 
> 
> make install DESTDIR=... → %make_install (for brevity)
> 
> - license is OK
> - license file is present, %license is used
> - latest version
> - proper build flags are used
> - builds and installs OK
> - fedora-review doesn't find any issues
> - no scriptlets
> - requires/provides are OK
> - check is present and passes
> 
> rpmlint:
> exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/fastautils.1.gz
> 59: warning: macro `..' not defined
> exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/fastautils.1.gz
> 78: warning: macro `L' not defined
> exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/exonerate.1.gz
> 36: warning: macro `T' not defined
> exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/exonerate.1.gz
> 49: warning: macro `SP' not defined
> exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/exonerate.1.gz
> 1342: warning: macro `L' not defined
> exonerate.x86_64: W: manual-page-warning
> /usr/share/man/man1/exonerate-server.1.gz 22: warning: macro `T' not defined
> exonerate.x86_64: W: manual-page-warning
> /usr/share/man/man1/exonerate-server.1.gz 373: warning: macro `SP' not
> defined
> exonerate.x86_64: W: manual-page-warning
> /usr/share/man/man1/exonerate-server.1.gz 449: warning: macro `L' not defined
> exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/ipcress.1.gz
> 38: warning: macro `T' not defined
> exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/ipcress.1.gz
> 71: warning: macro `SP' not defined
> exonerate.x86_64: W: manual-page-warning /usr/share/man/man1/ipcress.1.gz
> 261: warning: macro `L' not defined
> They mostly display OK, I'm not sure what those warnings mean exactly.
> 

manpages should be renovated, i think.

> 
> Too bad ;)
> 
> Looks good, except for a few trivial issues. Package is APPROVED.

Thank you.

Spec URL: https://sagitter.fedorapeople.org/exonerate/exonerate.spec
SRPM URL: https://sagitter.fedorapeople.org/exonerate/exonerate-2.2.0-2.fc23.src.rpm
Comment 3 Gwyn Ciesla 2015-12-13 17:42:58 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/exonerate
Comment 4 Fedora Update System 2015-12-14 05:36:34 EST
exonerate-2.2.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2c2fa5b864
Comment 5 Fedora Update System 2015-12-14 05:36:40 EST
exonerate-2.2.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-84fd94c3d8
Comment 6 Fedora Update System 2015-12-14 05:36:41 EST
exonerate-2.2.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14e6f40d18
Comment 7 Fedora Update System 2015-12-15 02:20:28 EST
exonerate-2.2.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update exonerate'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2c2fa5b864
Comment 8 Fedora Update System 2015-12-15 05:54:51 EST
exonerate-2.2.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update exonerate'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-84fd94c3d8
Comment 9 Fedora Update System 2015-12-15 22:47:58 EST
exonerate-2.2.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update exonerate'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-92710eda17
Comment 10 Fedora Update System 2015-12-16 05:14:19 EST
exonerate-2.2.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14e6f40d18
Comment 11 Fedora Update System 2015-12-22 10:37:32 EST
exonerate-2.2.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14e6f40d18
Comment 12 Fedora Update System 2015-12-22 17:04:32 EST
exonerate-2.2.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-12-30 12:50:46 EST
exonerate-2.2.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-12-31 18:28:25 EST
exonerate-2.2.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-12-31 19:26:44 EST
exonerate-2.2.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.